<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>S09: CSS Common Stylying Properties</title>

	<!-- External CSS -->
	<link rel="stylesheet" type="text/css" href="./index.css">


</head>
<body>

	<h1>CSS Common Styling</h1>

	<!-- Display Property Discussion -->
	<h2>Display</h2>
	<h4>Display: Inline vs Block</h4>

	<!-- You can change the default display properties of elements through the display property in CSS. -->
	<div id="div-3">A div can be displayed as inline.</div>
	<div id="div-4">A div can be displayed as inline.</div>
	<span id="span-3">A span can be displayed as block.</span>
	<span id="span-4">A span can be displayed as block.</span>

	<h4>Display: Inline-Block</h4>
	<!-- Inline-block can sit on the same line and combines block ad inline-properties -->

	<span id="span-5" class="d-inline-block">Span-Inline-Block-1</span>
	<span id="span-6" class="d-inline-block">Span-Inline-Block-2</span>
	<div id="div-5">Div-Inline-Block-1</div>
	<div id="div-6">Div-Inline-Block-2</div>

	<div id="div-7">Divs are block elements by default</div>
	<div id="div-8">Divs are block elements by default. Adding display:none; property will hide the element</div>
	<span id="span-7">This is the fifth span.</span>


	<hr>

	<h2>CSS Units</h2>

	<h4>px vs %</h4>
	<div class="box fifty-percent">50%</div>
	<div class="box one-hundred-pixels">100px</div>
	<!-- viewport height and viewport width -->
	<div class="box fifty-vw">50vw</div>
	<div class="box twenty-five-vh">25vh</div>
	<!-- EM vs REM -->
	<div>16px</div>
	<div class="one-rem">1rem</div>
	<div class="one-em">1em</div>
	<div class="two-rem">2rem</div>
	<div class="two-em">2em</div>
	<div class="two-hundred-percent">200%</div>  <!-- why is this not the same with sir!!! -->

	<br>

	<div class="parent">
		<!-- EM vs REM -->
		<div class="one-rem">1rem</div>
		<div class="one-em">1em</div>
		<div class="two-rem">2rem</div>
		<div class="two-em">2em</div>
		<div class="two-hundred-percent">200%</div>

		<div class="box fifty-percent">50%</div>
		<div class="box one-hundred-pixels">100px</div>
		<!-- viewport height and viewport width -->
		<div class="box fifty-vw">50vw</div>
		<div class="box twenty-five-vh">25vh</div>
	</div>

	<br><br>

	<hr>

	<section class="background">
		<div class="container-bg">
			<h3 class="bg-title">CSS Background Properties</h3>
		</div>
	</section>


</body>
</html>